package ink.wgink.properties.wechat.pay.v3;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @ClassName: PayProperties
 * @Description: 支付配置
 * @Author: wanggeng
 * @Date: 2021/8/19 4:05 下午
 * @Version: 1.0
 */
@Configuration
@ConfigurationProperties(prefix = "open-platform.wechat.pay")
public class PayProperties {

    private Boolean active;
    private String mchid;
    private String certificatePath;
    private String keyPath;
    private String apiV3Secretkey;

    public Boolean getActive() {
        return active == null ? false : active;
    }

    public void setActive(Boolean active) {
        this.active = active;
    }

    public String getMchid() {
        return mchid == null ? "" : mchid.trim();
    }

    public void setMchid(String mchid) {
        this.mchid = mchid;
    }

    public String getCertificatePath() {
        return certificatePath == null ? "" : certificatePath.trim();
    }

    public void setCertificatePath(String certificatePath) {
        this.certificatePath = certificatePath;
    }

    public String getKeyPath() {
        return keyPath == null ? "" : keyPath.trim();
    }

    public void setKeyPath(String keyPath) {
        this.keyPath = keyPath;
    }

    public String getApiV3Secretkey() {
        return apiV3Secretkey == null ? "" : apiV3Secretkey.trim();
    }

    public void setApiV3Secretkey(String apiV3Secretkey) {
        this.apiV3Secretkey = apiV3Secretkey;
    }
}
